﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FormulaTranslation
{
    public delegate double FormulaFunc(double[] args);

    public static class Functions
    {
        public static double sin(double[] args)
        {
            if (args.Length != 1)
            {
                throw new Exception("Invalid argument(s) for sin.");
            }
            return Math.Sin(args[0]);
        }

        public static double cos(double[] args)
        {
            if (args.Length != 1)
            {
                throw new Exception("Invalid argument(s) for cos.");
            }
            return Math.Cos(args[0]);
        }

        public static double pow(double[] args)
        {
            if (args.Length != 2)
            {
                throw new Exception("Invalid argument(s) for pow.");
            }
            return Math.Pow(args[0], args[1]);
        }
    }
}
